var HelloEthSalon = artifacts.require("./HelloEthSalon.sol");

contract("HelloEthSalon:GetMessage", function (accounts) {
  it("should return a correct string", async function () {
    const contract = await HelloEthSalon.deployed();
    const result = await contract.GetMessage.call();
    assert.isTrue(result === "I know smart contract testing!!");
  });
});

contract("HelloEthSalon:SetMessage", function (accounts) {

  it("should not set a empty string", async function () {
    const contract = await HelloEthSalon.deployed();
    var ret = false;
    try{const result = await contract.SetMessage.call("");}catch (e){ret = true;}
    assert.isTrue(ret);
  });

  it("should set to test", async function () {
    const contract = await HelloEthSalon.deployed();
    var ret = false;
    try{const result = await contract.SetMessage.call("test");}catch (e){ret = true;} 
    assert.isTrue(!ret,"Erreur de transaction"); // Pas d'erreur de transaction
  });
});